## freeradius-0.5.tar.gz

=== src/modules/rlm_mschap/Makefile ===
TARGET		= rlm_mschap
SRCS		= rlm_mschap.c deskey.c desport.c md4c.c smbpass.c sha1.c
HEADERS		= md4.h des.h smbpass.h sha1.h
RLM_CFLAGS	=

# over-ride the previous assignment if we're not building anything
include ../rules.mak

$(STATIC_OBJS): $(HEADERS)

$(DYNAMIC_OBJS): $(HEADERS)

=== debian/changelog ===
radiusd-freeradius (0.4+00000000-1) unstable; urgency=high

  * New build-dep on libssl-dev.
  * Added python module, and forced it to split off from the base package.

 -- Chad Miller <cmiller@debian.org>

radiusd-freeradius (0.4-1) unstable; urgency=high

  * New release.
  * upstream: New EAP support.
  * upstream: Fixed security bug in string translation.

 -- Chad Miller <cmiller@debian.org>  Thu, 13 Dec 2001 09:26:45 -0500

radiusd-freeradius (0.3-2) unstable; urgency=low

  * Moved to using logrotate instead of cron for files.
  * Fixed permissions of log files. (closes: Bug#116242,#116243)
  * Close file descriptors of stdin, stdout, stderr, if not debugging.
    (closes: Bug#116768)
  * Made package "non-native".  (An upload issue, not code.)  
    (closes: Bug#119161)

 -- Chad Miller <cmiller@debian.org>  Tue, 20 Nov 2001 10:50:20 -0500

radiusd-freeradius (0.3-1) unstable; urgency=low

  * New release.

 -- Chad Miller <cmiller@debian.org>  Tue,  9 Oct 2001 18:16:23 -0400

radiusd-freeradius (0.2+20010917-1) unstable; urgency=low

  * Removed old mysql build-dep.  (closes: Bug#112541)

 -- Chad Miller <cmiller@debian.org>  Mon, 17 Sep 2001 11:38:24 -0400

radiusd-freeradius (0.2+20010912-1) unstable; urgency=low

  * Build-dep mysql changed package names.
  * Added build-dep for libmysqlclient10-dev.  (closes: Bug#111880)
  * In acct_users, keep reply pairs.
  * Integer values are printed as unsigned numbers, to comply with RFC2866.
  * Fixed broken/reversed auth comparisons in SQL module.
  * Sucked out CPPness from inside a printf, as printf is a macro in newer
    compilers (gcc3.0, e.g.).  (closes: Bug#100889)
  * Sundry LDAP configuration, unresponsive thread, and proxying fixes.
  * Added user 'freerad' into the 'shadow' group.
  * Fixed UUCP-style of restricting time of log-in.
  * Changed debugging messages to give more info about execution flow.
  * Better counter module.  
  * Inserted CHAP support for SQL modules.
  * Removed possible infinite loop.

 -- Chad Miller <cmiller@debian.org>  Wed, 12 Sep 2001 21:21:47 -0400

radiusd-freeradius (0.1+20010527-1) unstable; urgency=low

  * Updated config.{guess,sub} to recent versions.  (closes: Bug#98183)
  * Updated build-dep to reflect supercession of libltdl0-dev by libltdl3-dev
    (closes: Bug#98914)

 -- Chad Miller <cmiller@debian.org>  Sun, 27 May 2001 11:44:40 -0400

radiusd-freeradius (0.1+20010517-1) unstable; urgency=low

  * Moved package to non-US to allow in Kerberos and PostgreSQL.
  * Set Suggests of modules to main package.
  * Better compile-time support of *BSD.

 -- Chad Miller <cmiller@debian.org>  Thu, 17 May 2001 14:46:51 -0400

radiusd-freeradius (0.1-1) unstable; urgency=low

  * First beta release!
  * Added generalized SQL support for ODBC, Oracle, MySQL, and Postgres.
  * Added shasta, microsoft, and redback dictionaries.
  * Fixed rc.d restart rule.
  * Added a user to own the daemon and logfiles.
  * SQL DB handles more forgiving of unreachable servers at startup.
  * SQL Crypt-Password attribute support.
  * Fixed cron log rotation.
  * Put module libraries in own directory.
  * Removed bogus build-dep.  (closes: Bug#87277)
  * Better permissions on /etc/raddb
  * Use correct LDAP library.
  * Fork ldap, postgresql, and mysql modules into different packages.
  * Remove Kerberos, as it's restricted from export.

 -- Chad Miller <cmiller@debian.org>  Mon,  7 May 2001 16:37:46 -0400

radiusd-freeradius (0.0.20010109-1) unstable; urgency=low

  * Changed priority, from standard to optional.

 -- Chad Miller <cmiller@debian.org>  Tue,  9 Jan 2001 14:01:38 -0500

radiusd-freeradius (0.0.20001227-1) unstable; urgency=low

  * Initial revision. (closes: Bug#76476)

 -- Chad Miller <cmiller@debian.org>  Wed, 27 Dec 2000 11:58:56 -0500

=== debian/control ===
Source: radiusd-freeradius
Build-Depends: debhelper, libltdl3-dev | libltdl0-dev, libpam0g-dev, postgresql-dev, libmysqlclient10-dev, libgdbmg1-dev, libldap2-dev, libsasl-dev, libsnmp4.2-dev, libiodbc2-dev, libkrb5-dev, libssl-dev, python2.2-dev
Section: non-US/main
Priority: optional
Maintainer: Chad Miller <cmiller@debian.org>
Standards-Version: 3.2.1

Package: radiusd-freeradius
Architecture: any
Depends: ${shlibs:Depends}
Recommends: logrotate
Provides: radius-server
Suggests: radiusd-freeradius-ldap, radiusd-freeradius-postgresql, radiusd-freeradius-mysql, radiusd-freeradius-krb5
Conflicts: radius-server
Description: A high-performance and highly configurable RADIUS server
 A high-performance RADIUS server derived from Cistron's server, and
 generally similar to Livingston's 2.0 server, with support for...
  - many vendor-specific attributes
  - proxying and replicating requests by any criteria
  - authentication on system passwd, SQL, Kerberos, LDAP, users file, or PAM
  - multiple DEFAULT configurations
  - regexp matching in string attributes
 and lots more.

Package: radiusd-freeradius-krb5
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: Kerberos module for FreeRADIUS server.
 The FreeRADIUS server can use Kerberos to authenticate users, and this module
 is necessary for that.

Package: radiusd-freeradius-ldap
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: LDAP module for FreeRADIUS server.
 The FreeRADIUS server can use LDAP to authenticate users, and this module
 is necessary for that.

Package: radiusd-freeradius-postgresql
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: PostgreSQL module for FreeRADIUS server.
 The FreeRADIUS server can use PostgreSQL to authenticate users and do
 accounting, and this module is necessary for that.

Package: radiusd-freeradius-mysql
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: MySQL module for FreeRADIUS server.
 The FreeRADIUS server can use MySQL to authenticate users and do accounting,
 and this module is necessary for that.

Package: radiusd-freeradius-python
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: Python module for FreeRADIUS server.
 The FreeRADIUS server can use python for scripting its behavior.  (BETA QUALITY!)

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for freeradius
#

SHELL=/bin/bash
DH_COMPAT=3
export DH_COMPAT

package = freeradius
debiandir = $(shell pwd)/debian
radiusd_freeradius_dir     = $(debiandir)/radiusd-freeradius

prefix	= /
exec_prefix	= /usr
mandir	= $(exec_prefix)/share/man
libdir	= $(exec_prefix)/lib/freeradius
logdir	= /var/log/radiusd-freeradius
pkgdocdir	= $(exec_prefix)/share/doc/radiusd-freeradius
raddbdir	= $(prefix)/etc/raddb

build:
# Builds the binary package.
	dh_testdir
	# dh_testroot
	./configure --prefix=$(prefix) --exec-prefix=$(exec_prefix) --libdir=$(libdir) --mandir=$(mandir) --with-logdir=$(logdir) --with-thread-pool --enable-ltdl-install=no --enable-strict-dependencies
	make
	touch build

# Architecture independant files.
binary-indep: build

# Make a binary package (.deb file)
binary-arch: build
	dh_clean
	dh_installdirs
	make install prefix=$(prefix) exec_prefix=$(exec_prefix) mandir=$(mandir) libdir=$(libdir) R=$(radiusd_freeradius_dir)
	# clean up install cruft.  $$&@!%
	rmdir $(radiusd_freeradius_dir)/$(execprefix)/include
	rm $(radiusd_freeradius_dir)/$(execprefix)/usr/sbin/rc.radiusd
	# split out inconvenient/controversal modules to other places
	for modname in krb5 ldap mysql postgresql python; do \
		mkdir -p $(debiandir)/radiusd-freeradius-$${modname}/$(libdir); \
		mv $(radiusd_freeradius_dir)/$(libdir)/rlm*_$${modname}.* $(debiandir)/radiusd-freeradius-$${modname}/$(libdir)/; \
	done
	# man pages & docs
	dh_undocumented 
	install -g root -m 644 CREDITS $(radiusd_freeradius_dir)/$(pkgdocdir)/credits
	find doc -type f -maxdepth 1 ! -path doc/ChangeLog -exec dh_installdocs {} \;
	find src/modules/rlm_sql/drivers -type f -name \*.sql -exec dh_installdocs {} \;
	# dh_installchangelogs doc/ChangeLog
	dh_compress
	# supporting programs
	dh_installlogrotate
	install -g root -m 755 $(debiandir)/initscript $(radiusd_freeradius_dir)/$(prefix)/etc/init.d/freeradius
	TEMPFILE=`mktemp /tmp/radconf-XXXXXX`; \
	cp $(radiusd_freeradius_dir)/$(raddbdir)/radiusd.conf $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's/        /	/g' \
		| sed -e '/^	example {/,/^	}/s/^/#/' \
		| sed -e 's/^		#	shadow		=/		shadow		=/' \
		| sed -e 's#^\(run_dir = .{localstatedir}/run\)#\1/radiusd#' \
		| sed -e 's/^group = nobody/group = freerad/' \
		| sed -e 's/^user = nobody/user = freerad/' \
			> $(radiusd_freeradius_dir)/$(raddbdir)/radiusd.conf; \
	rm $$TEMPFILE
	# 
	dh_strip
	dh_installchangelogs
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_compress
	dh_fixperms
	dh_md5sums
	dh_gencontrol
	dh_builddeb

clean:	
	rm -f build debian/{files,substvars} debian/*.debhelper
	[ -f Make.inc ] && make distclean || true
	dh_clean
	rm -rf $(radiusd_freeradius_dir) radiusd-freeradius-{ldap,postgresql,mysql,krb5,python}{,.substvars}

binary: binary-indep binary-arch

# for the maintainer only
sanitycheck:
	@echo -n "sanity: checking for overzealous undocumented file... "
	@find man/ -type f |grep \. |sed -e 's%man/man./%%' | { \
		while read manpage; do \
			grep $$manpage debian/radiusd-freeradius.undocumented | read filename && echo -n $$filename; \
		done; \
	} || true
	@test -n $$filename
	@echo good.

.PHONY: binary binary-arch binary-indep clean sanitycheck
